Get an account
curl --request GET \
--url https://{environment}.ebury.io/accounts/{account_id} \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/accounts/{account_id}"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_details": [
{
"account_address": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"account_number_type": "IBAN",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
}
],
"account_id": "<string>",
"account_subtype": "EMoney",
"account_type": "Personal",
"currency": "<string>",
"status": "Enabled"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Getting Accounts
Get an account
GET
/
accounts
/
{account_id}
Get an account
Retrieve a single account by account ID.
Authorizations
An API Key.
Path Parameters
Account UUID
Query Parameters
The ID of the client
Response
Returns the requested account
The list of AccountDetails for this currency
Show child attributes
Show child attributes
The UUID of the account
The sub-type of the account.
Available options:
EMoney The type of the account.
Available options:
Personal, Business Identification of the currency in which the account is held
The status of the account.
Available options:
Enabled, Disabled, Deleted